Name:		bluez-gnome
Version:	0.6
Release:	1%{?dist}
Summary:	Bluetooth pairing and control applet

Group:		Applications/System
License:	GPL
URL:		http://www.bluez.org/
Source0:	http://bluez.sf.net/download/%{name}-%{version}.tar.gz
Patch0:		bluez-gnome-0.6-tab-size.patch
Patch1:		bluez-gnome-0.6-multiple-adaptors.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

ExcludeArch:	s390 s390x

BuildRequires:	dbus-devel gtk2-devel GConf2-devel libnotify-devel 
BuildRequires:	dbus-glib-devel perl-XML-Parser openobex-devel
Obsoletes:	bluez-pin

%description
The bluez-gnome package contains Bluetooth helper applets and tools for
the GNOME desktop environment.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
sed -i /^OnlyShowIn=/d applet/bluetooth-applet.desktop

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_sysconfdir}/xdg/autostart/bluetooth-applet.desktop
%{_datadir}/applications/bluetooth-properties.desktop
%doc README COPYING AUTHORS ChangeLog


%changelog
* Thu Oct 26 2006 David Woodhouse <dwmw2@redhat.com> 0.6-1
- Update to bluez-gnome 0.6

* Fri Oct  6 2006 David Woodhouse <dwmw2@redhat.com> 0.5-5
- Allow user to toggle discoverability

* Wed Oct  4 2006 David Woodhouse <dwmw2@redhat.com> 0.5-4
- Avoid needing executable stack

* Mon Oct  2 2006 David Woodhouse <dwmw2@redhat.com> 0.5-3
- Provide startup file for KDE too

* Sun Oct  1 2006 David Woodhouse <dwmw2@redhat.com> 0.5-2
- Fix startup visibility

* Sat Sep 30 2006 David Woodhouse <dwmw2@redhat.com> 0.5-1
- Initial build
